$kind: http-request
url: "{{sahara_local}}accounts/transactions/2/delete"
method: DELETE
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "\r

    {\r

    \    \"transaction_date\": \"2025-02-16\",\r

    \    \"reference\": \"INV-2025-001\",\r

    \    /*\"project_id\": 3, //nullable\r

    \    \"segment_id\": 2, //nullable\r

    \    \"budget_id\": 5, */ //nullable\r

    \    \"journal_type_id\": 4,\r

    \    \"description\": \"Payment for office supplies\",\r

    \    \"currency_id\": \"7d8f4c77-3cdd-4403-b277-51d4988670c3\",\r

    \    \"lines\": [\r

    \        {\r

    \            \"debit_account_id\": 123,\r

    \            \"credit_account_id\": 1,\r

    \            \"amount\": 20000,\r

    \            \"currency_id\":\"7d8f4c77-3cdd-4403-b277-51d4988670c3\"\r

    \        }\r

    \        \r

    \    ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 2000
